WP-Scripts 플러그인 업데이트

워드프레스 2.1 이후 포함된 script-loader 로 인해 쓸모가 없어져서, 개인적인 용도로만 수정해서 사용해 오던 플러그인을 이번에 블로그를 정리하면서 몇몇 점들을 보완해서 공개하기로 했다.

기능에 대해서 이래저래 설명하는 것 보다는 몇개의 스크릿샷으로 대체하는게 효율적일 듯 하다.

요구사항

  • 이 플러그인은 워드프레스 2.6 이상에서만 작동함.

스크린샷

  • 독립형
    wp-scripts-general
  • 의존형
    wp-scripts-dependencies
  • 스크립트를 선택하면 필요한 나머지 것들이 자동으로 선택 됨
    wp-scripts-check-dependent
  • 스크립트를 선택해제하면 그에 의존하는 스크립트들이 선택해제 됨
    wp-scripts-uncheck-top-level

부가기능

  • lightbox, slimbox, thickbox 등의 이미지 오버레이 도구를 사용하게 되면, 본문의 이미지 링크들에 해당 값들이 자동으로 적용됨.
  • thickbox를 선택 한 경우는 함수를 사용 할 때 로그인 링크가 thickbox와 연동됨.

워드프레스 플러그인 페이지에 등록했습니다.
wp-scripts-plugin.zip

1 thought on “WP-Scripts 플러그인 업데이트”

Comments are closed.